edu.sc.seis.sod.source.seismogram

## Class WinstonWaveServer

- java.lang.Object
- - edu.sc.seis.sod.source.seismogram.WinstonWaveServer

- All Implemented Interfaces:
    SodElement, SeismogramSourceLocator

      public class WinstonWaveServer
      extends java.lang.Object
      implements SeismogramSourceLocator, SodElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinstonWaveServer(org.w3c.dom.Element config)`
    `WinstonWaveServer(org.w3c.dom.Element config, java.lang.String defaultHost)`
    `WinstonWaveServer(java.lang.String host, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SeismogramSource` | `getSeismogramSource(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters, CookieJar cookieJar)`
    `edu.sc.seis.seisFile.waveserver.WaveServer` | `getWaveServer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WinstonWaveServer

          public WinstonWaveServer(org.w3c.dom.Element config)

    - #### WinstonWaveServer

          public WinstonWaveServer(org.w3c.dom.Element config,
                                   java.lang.String defaultHost)

    - #### WinstonWaveServer

          public WinstonWaveServer(java.lang.String host,
                                   int port)

  - ### Method Detail

    - #### getSeismogramSource

          public SeismogramSource getSeismogramSource(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                      edu.iris.Fissures.network.ChannelImpl channel,
                                                      edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters,
                                                      CookieJar cookieJar)
                                               throws java.lang.Exception

      Specified by:
        `getSeismogramSource` in interface `SeismogramSourceLocator`
      Throws:
        `java.lang.Exception`

    - #### getWaveServer

          public edu.sc.seis.seisFile.waveserver.WaveServer getWaveServer()